'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _libs = _interopDefault(require('node-libs-browser'));
var path = require('path');

var libs = new Map();
Object.keys(_libs).forEach(function (key) {
  return libs.set(key, _libs[key]);
});

// our es6 versions
libs.set('process', require.resolve('process-es6'));
libs.set('buffer', require.resolve('buffer-es6'));
libs.set('util', require.resolve(path.join('..', 'src', 'es6', 'util')));
libs.set('sys', libs.get('util'));
libs.set('events', require.resolve(path.join('..', 'src', 'es6', 'events')));
libs.set('stream', require.resolve(path.join('..', 'src', 'es6', 'stream')));
libs.set('path', require.resolve(path.join('..', 'src', 'es6', 'path')));
libs.set('querystring', require.resolve(path.join('..', 'src', 'es6', 'qs')));
libs.set('punycode', require.resolve(path.join('..', 'src', 'es6', 'punycode')));
libs.set('url', require.resolve(path.join('..', 'src', 'es6', 'url')));
libs.set('string_decoder', require.resolve(path.join('..', 'src', 'es6', 'string-decoder')));
libs.set('http', require.resolve(path.join('..', 'src', 'es6', 'http')));
libs.set('https', require.resolve(path.join('..', 'src', 'es6', 'http')));
libs.set('os', require.resolve(path.join('..', 'src', 'es6', 'os')));
libs.set('assert', require.resolve(path.join('..', 'src', 'es6', 'assert')));
libs.set('constants', require.resolve(path.join('..', 'dist', 'constants')));
function resolveId(importee) {
  if (importee && importee.slice(-1) === '/') {
    importee === importee.slice(0, -1);
  }
  if (libs.has(importee)) {
    return libs.get(importee);
  }
}
function index () {
  return { resolveId: resolveId };
}

module.exports = index;